nxt

## Interface Attachment

- All Superinterfaces:
    Appendix
  All Known Subinterfaces:
    Attachment.ShufflingAttachment
  All Known Implementing Classes:
    Attachment.AbstractAttachment, Attachment.AbstractShufflingAttachment, Attachment.AccountControlEffectiveBalanceLeasing, Attachment.ColoredCoinsAskOrderCancellation, Attachment.ColoredCoinsAskOrderPlacement, Attachment.ColoredCoinsAssetDelete, Attachment.ColoredCoinsAssetIncrease, Attachment.ColoredCoinsAssetIssuance, Attachment.ColoredCoinsAssetProperty, Attachment.ColoredCoinsAssetPropertyDelete, Attachment.ColoredCoinsAssetQuantity, Attachment.ColoredCoinsAssetTransfer, Attachment.ColoredCoinsBidOrderCancellation, Attachment.ColoredCoinsBidOrderPlacement, Attachment.ColoredCoinsDividendPayment, Attachment.ColoredCoinsOrderCancellation, Attachment.ColoredCoinsOrderPlacement, Attachment.DigitalGoodsDelisting, Attachment.DigitalGoodsDelivery, Attachment.DigitalGoodsFeedback, Attachment.DigitalGoodsListing, Attachment.DigitalGoodsPriceChange, Attachment.DigitalGoodsPurchase, Attachment.DigitalGoodsQuantityChange, Attachment.DigitalGoodsRefund, Attachment.EmptyAttachment, Attachment.MessagingAccountInfo, Attachment.MessagingAccountProperty, Attachment.MessagingAccountPropertyDelete, Attachment.MessagingAliasAssignment, Attachment.MessagingAliasBuy, Attachment.MessagingAliasDelete, Attachment.MessagingAliasSell, Attachment.MessagingHubAnnouncement, Attachment.MessagingPhasingVoteCasting, Attachment.MessagingPollCreation, Attachment.MessagingVoteCasting, Attachment.MonetarySystemCurrencyDeletion, Attachment.MonetarySystemCurrencyIssuance, Attachment.MonetarySystemCurrencyMinting, Attachment.MonetarySystemCurrencyTransfer, Attachment.MonetarySystemExchange, Attachment.MonetarySystemExchangeBuy, Attachment.MonetarySystemExchangeSell, Attachment.MonetarySystemPublishExchangeOffer, Attachment.MonetarySystemReserveClaim, Attachment.MonetarySystemReserveIncrease, Attachment.PropertyDeleteAttachment, Attachment.SetPhasingOnly, Attachment.ShufflingCancellation, Attachment.ShufflingCreation, Attachment.ShufflingProcessing, Attachment.ShufflingRecipients, Attachment.ShufflingRegistration, Attachment.ShufflingVerification, Attachment.TaggedDataAttachment, Attachment.TaggedDataExtend, Attachment.TaggedDataUpload, Attachment.UnencryptedDigitalGoodsDelivery

      public interface Attachment
      extends Appendix

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Attachment.AbstractAttachment`
    `static class` | `Attachment.AbstractShufflingAttachment`
    `static class` | `Attachment.AccountControlEffectiveBalanceLeasing`
    `static class` | `Attachment.ColoredCoinsAskOrderCancellation`
    `static class` | `Attachment.ColoredCoinsAskOrderPlacement`
    `static class` | `Attachment.ColoredCoinsAssetDelete`
    `static class` | `Attachment.ColoredCoinsAssetIncrease`
    `static class` | `Attachment.ColoredCoinsAssetIssuance`
    `static class` | `Attachment.ColoredCoinsAssetProperty`
    `static class` | `Attachment.ColoredCoinsAssetPropertyDelete`
    `static class` | `Attachment.ColoredCoinsAssetQuantity`
    `static class` | `Attachment.ColoredCoinsAssetTransfer`
    `static class` | `Attachment.ColoredCoinsBidOrderCancellation`
    `static class` | `Attachment.ColoredCoinsBidOrderPlacement`
    `static class` | `Attachment.ColoredCoinsDividendPayment`
    `static class` | `Attachment.ColoredCoinsOrderCancellation`
    `static class` | `Attachment.ColoredCoinsOrderPlacement`
    `static class` | `Attachment.DigitalGoodsDelisting`
    `static class` | `Attachment.DigitalGoodsDelivery`
    `static class` | `Attachment.DigitalGoodsFeedback`
    `static class` | `Attachment.DigitalGoodsListing`
    `static class` | `Attachment.DigitalGoodsPriceChange`
    `static class` | `Attachment.DigitalGoodsPurchase`
    `static class` | `Attachment.DigitalGoodsQuantityChange`
    `static class` | `Attachment.DigitalGoodsRefund`
    `static class` | `Attachment.EmptyAttachment`
    `static class` | `Attachment.MessagingAccountInfo`
    `static class` | `Attachment.MessagingAccountProperty`
    `static class` | `Attachment.MessagingAccountPropertyDelete`
    `static class` | `Attachment.MessagingAliasAssignment`
    `static class` | `Attachment.MessagingAliasBuy`
    `static class` | `Attachment.MessagingAliasDelete`
    `static class` | `Attachment.MessagingAliasSell`
    `static class` | `Attachment.MessagingHubAnnouncement`
    `static class` | `Attachment.MessagingPhasingVoteCasting`
    `static class` | `Attachment.MessagingPollCreation`
    `static class` | `Attachment.MessagingVoteCasting`
    `static interface` | `Attachment.MonetarySystemAttachment`
    `static class` | `Attachment.MonetarySystemCurrencyDeletion`
    `static class` | `Attachment.MonetarySystemCurrencyIssuance`
    `static class` | `Attachment.MonetarySystemCurrencyMinting`
    `static class` | `Attachment.MonetarySystemCurrencyTransfer`
    `static class` | `Attachment.MonetarySystemExchange`
    `static class` | `Attachment.MonetarySystemExchangeBuy`
    `static class` | `Attachment.MonetarySystemExchangeSell`
    `static class` | `Attachment.MonetarySystemPublishExchangeOffer`
    `static class` | `Attachment.MonetarySystemReserveClaim`
    `static class` | `Attachment.MonetarySystemReserveIncrease`
    `static class` | `Attachment.PropertyDeleteAttachment`
    `static class` | `Attachment.SetPhasingOnly`
    `static interface` | `Attachment.ShufflingAttachment`
    `static class` | `Attachment.ShufflingCancellation`
    `static class` | `Attachment.ShufflingCreation`
    `static class` | `Attachment.ShufflingProcessing`
    `static class` | `Attachment.ShufflingRecipients`
    `static class` | `Attachment.ShufflingRegistration`
    `static class` | `Attachment.ShufflingVerification`
    `static class` | `Attachment.TaggedDataAttachment`
    `static class` | `Attachment.TaggedDataExtend`
    `static class` | `Attachment.TaggedDataUpload`
    `static class` | `Attachment.UnencryptedDigitalGoodsDelivery`

    - ### Nested classes/interfaces inherited from interface nxt.Appendix

      `Appendix.AbstractAppendix, Appendix.AbstractEncryptedMessage, Appendix.Encryptable, Appendix.EncryptedMessage, Appendix.EncryptToSelfMessage, Appendix.Message, Appendix.Phasing, Appendix.Prunable, Appendix.PrunableEncryptedMessage, Appendix.PrunablePlainMessage, Appendix.PublicKeyAnnouncement, Appendix.UnencryptedEncryptedMessage, Appendix.UnencryptedEncryptToSelfMessage, Appendix.UnencryptedPrunableEncryptedMessage`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Attachment.EmptyAttachment` | `ARBITRARY_MESSAGE`
    `static Attachment.EmptyAttachment` | `ORDINARY_PAYMENT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TransactionType` | `getTransactionType()`

    - ### Methods inherited from interface nxt.Appendix

      `getBaselineFee, getBaselineFeeHeight, getFullSize, getJSONObject, getNextFee, getNextFeeHeight, getSize, getVersion, hasAppendix, isPhased, putBytes`

- - ### Field Detail

    - #### ORDINARY_PAYMENT

          static final Attachment.EmptyAttachment ORDINARY_PAYMENT

    - #### ARBITRARY_MESSAGE

          static final Attachment.EmptyAttachment ARBITRARY_MESSAGE

  - ### Method Detail

    - #### getTransactionType

          TransactionType getTransactionType()